Bug 120722 - RFE: provide a command to display all roles available to a user
RFE: provide a command to display all roles available to a user
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-13 10:18 EDT by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-28 14:24:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-04-13 10:18:56 EDT
Description of problem:

Currently, there is no way a user can display just what roles are
available to that user (the newrole command must have the role specified).

Add the command "show_roles" to display the roles available to a user.
Comment 1 Daniel Walsh 2004-04-15 11:46:32 EDT
The problem is that roles are specific to the command you are executing.

IE you might have different roles available for newrole then you do
for su, sudo, login, xdm...

Roles are governed by the attainable roles and the contents of
/etc/security/default_contexts.
Comment 2 Daniel Walsh 2004-04-28 14:24:22 EDT
I am changing this to notabug, but we  can bring it up for discussion
on the list.  Stephen would probably comment there.

Dan

Note You need to log in before you can comment on or make changes to this bug.